<template>
    <renderless-laravel-vue-pagination  :data="data" :limit="limit" :show-disabled="showDisabled" v-on:pagination-change-page="onPaginationChangePage">
<div slot-scope="{ data, limit, computed, prevButtonEvents, nextButtonEvents, pageButtonEvents }">
    <div >
        <ul class="pagination pagination-sm justify-content-center m-0" v-if="computed.total > computed.perPage" >
            <li class="page-item pagination-prev-nav" :class="{'disabled': !computed.prevPageUrl}" v-if="computed.prevPageUrl || showDisabled">
                <a class="page-link" href="#" aria-label="Previous" :tabindex="!computed.prevPageUrl && -1" v-on="prevButtonEvents">
                    <slot name="prev-nav">
                        <span aria-hidden="true"><i class="fa fa-long-arrow-left"></i></span>
                    </slot>
                </a>
            </li>
            <li class="page-item pagination-page-nav" v-for="(page, key) in computed.pageRange" :key="key" :class="{ 'active': page == computed.currentPage }">
                <a class="page-link" v-if="page!=='...'" href="#" v-on="pageButtonEvents(page)">{{ page }}</a>
                <b class="page-link  dot" v-else href="#" > <i class="fa fa-ellipsis-h"></i></b>
            </li>
            <li class="page-item pagination-next-nav" :class="{'disabled': !computed.nextPageUrl}" v-if="computed.nextPageUrl || showDisabled">
                <a class="page-link " href="#" aria-label="Next" :tabindex="!computed.nextPageUrl && -1" v-on="nextButtonEvents">
                    <slot name="next-nav">
                        <span aria-hidden="true"> <i class="fa fa-long-arrow-right"></i></span>
                        <span class="sr-only">Next</span>
                    </slot>
                </a>
            </li>
        </ul>
  </div>

</div>
    </renderless-laravel-vue-pagination>
</template>

<script>
import RenderlessLaravelVuePagination from './RenderlessLaravelVuePagination.vue';

export default {
    props: {
        data: {
            type: Object,
            default: () => {}
        },
        limit: {
            type: Number,
            default: 2
        },
        showDisabled: {
            type: Boolean,
            default: true
        }
    },
    methods: {
        onPaginationChangePage (url) {
            this.$emit('pagination-change-page', url);
        }
    },

    components: {
        RenderlessLaravelVuePagination
    }
}
</script>

<style scoped>

</style>